package org.xyzh.common.dto.usercenter;

import org.xyzh.common.dto.BaseDTO;
import java.util.Date;

/**
 * @description 用户成就表
 * @filename TbUserAchievement.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbUserAchievement extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 用户ID
     */
    private String userID;
    
    /**
     * @description 成就ID
     */
    private String achievementID;
    
    /**
     * @description 获得时间
     */
    private Date obtainTime;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getAchievementID() {
        return achievementID;
    }

    public void setAchievementID(String achievementID) {
        this.achievementID = achievementID;
    }

    public Date getObtainTime() {
        return obtainTime;
    }

    public void setObtainTime(Date obtainTime) {
        this.obtainTime = obtainTime;
    }

    @Override
    public String toString() {
        return "TbUserAchievement{" +
                "id=" + getID() +
                ", userID='" + userID + '\'' +
                ", achievementID='" + achievementID + '\'' +
                ", obtainTime=" + obtainTime +
                '}';
    }
}
